<template>
  <div id="todo__index">
    <b-table striped hover :items="todos"></b-table>
  </div>
</template>

<script>
import TodoService from '@/services/todo.service.js'

export default {
  async asyncData({ app }) {
    const todoService = new TodoService(app.$api)
    const todos = await todoService.get()
    return { todos }
  }
}
</script>